/* 
* Chris Mulhearn 
* 
* PSP Serial port IO defs 
*/ 
#ifndef SERIALPORT_H 
#define SERIALPORT_H 

struct serialport { 
	int * txbuf; // tx + rx same on psp, 0xbe50 0000, bits 7..0 
	int * rxbuf; 
	int * status; 
	int * baudh;
	int * baudl;
	int * control;
#define serialport_txfull ((int)0x00000020) 
#define serialport_rxempty ((int)0x00000010) 
}; 

void serialport_setspeed(struct serialport * port, unsigned int baudrate);
int serialport_write(struct serialport * port, unsigned char * buffer, int length, int timeout); 
int serialport_read(struct serialport * port, unsigned char * buffer, int length, int timeout); 

extern struct serialport psprc_serialport; // instantiated in serialport.c 

#endif 
